# Uses of Interface
org.bukkit.entity.Strider

Packages that use Strider
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Strider in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Strider
Modifier and Type
Field
Description
`static final GoalKey<Strider>`
VanillaGoal.`STRIDER_GO_TO_LAVA`

## Uses of Strider in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Strider
Modifier and Type
Method
Description
`@NotNull Strider`
StriderTemperatureChangeEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Strider
Modifier
Constructor
Description
``
`StriderTemperatureChangeEvent(@NotNull Strider what, boolean shivering)`